// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.google.android.libraries.places.ktx.model

import com.google.android.libraries.places.ktx.api.model.photoMetadata
import org.junit.Assert.assertEquals
import org.junit.Test

class PhotoMetadataTest {

    @Test
    fun testBuilderNoActions() {
        val photoMetadata = photoMetadata("reference")
        assertEquals("", photoMetadata.attributions)
        assertEquals(0, photoMetadata.height)
        assertEquals(0, photoMetadata.width)
    }

    @Test
    fun testBuilderWithActions() {
        val photoMetadata = photoMetadata("reference") {
            setAttributions("attributions")
            setWidth(100)
            setHeight(100)
        }
        assertEquals("attributions", photoMetadata.attributions)
        assertEquals(100, photoMetadata.height)
        assertEquals(100, photoMetadata.width)
    }
}